Can you run .NET Framework 3.5 code in an ASP.NET 2.0 Web Site?

By Peter Bromberg

There is some confusion among developers who run Web Applications that require .NET Framework 3.5 This should clear up the issue.

.NET 3.5 is essentially 2.0 with a few extra libraries. The answer is, yes  - you can run them on the same web site. In fact you cannot set a web application to run under 3.5.  It just runs under either 2.0 or 4.0. You can check the ASP.NET tab in the properties of an IIS site to see your options. As long as your server has 3.5 installed, you can run both.

You can run code in .NET 2.0 and .NET 3.5 on the same server, but you must have at least one application pool per framework version. The only thing you have to watch is not to mix a 2.0 app and a 3.5 app in the same application pool.

Can you run .NET Framework 3.5 code in an ASP.NET 2.0 Web Site?  (914 Views)